> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful-staging.ferndocs.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful-staging.ferndocs.com/developers/docs/_mcp/server.

# List all component types

GET https://api.contentful.com/spaces/{spaceId}/environments/{environmentId}/component_types

Reference: https://contentful-staging.ferndocs.com/developers/docs/references/experiences-management-api/component-types/list-component-types

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `environmentId` (string, required)

### Query parameters

- `access_token` (string, optional)
- `order` (any, optional)
- `pageNext` (string, optional)
- `pagePrev` (string, optional)
- `limit` (double, optional)
- `sys.id` (string, optional)
- `sys.id[in]` (any, optional)
- `sys.id[nin]` (any, optional)
- `sys.createdBy.sys.id` (string, optional)
- `sys.createdBy.sys.id[in]` (any, optional)
- `sys.createdBy.sys.id[nin]` (any, optional)
- `sys.updatedBy.sys.id` (string, optional)
- `sys.updatedBy.sys.id[in]` (any, optional)
- `sys.updatedBy.sys.id[nin]` (any, optional)
- `sys.publishedBy.sys.id` (string, optional)
- `sys.publishedBy.sys.id[in]` (any, optional)
- `sys.publishedBy.sys.id[nin]` (any, optional)
- `sys.createdAt[gt]` (any, optional)
- `sys.createdAt[gte]` (any, optional)
- `sys.createdAt[lt]` (any, optional)
- `sys.createdAt[lte]` (any, optional)
- `sys.updatedAt[gt]` (any, optional)
- `sys.updatedAt[gte]` (any, optional)
- `sys.updatedAt[lt]` (any, optional)
- `sys.updatedAt[lte]` (any, optional)
- `sys.publishedAt[gt]` (any, optional)
- `sys.publishedAt[gte]` (any, optional)
- `sys.publishedAt[lt]` (any, optional)
- `sys.publishedAt[lte]` (any, optional)
- `sys.firstPublishedAt[gt]` (any, optional)
- `sys.firstPublishedAt[gte]` (any, optional)
- `sys.firstPublishedAt[lt]` (any, optional)
- `sys.firstPublishedAt[lte]` (any, optional)
- `sys.version` (double, optional)
- `sys.publishedVersion` (double, optional)
- `sys.archivedAt[exists]` (boolean, optional)
- `metadata.tags.sys.id[in]` (string, optional)
- `metadata.tags.sys.id[all]` (string, optional)
- `metadata.tags.sys.id[nin]` (string, optional)
- `metadata.concepts.sys.id[in]` (string, optional)
- `metadata.concepts.sys.id[all]` (string, optional)
- `metadata.concepts.sys.id[nin]` (string, optional)
- `metadata.concepts.descendants[in]` (any, optional)
- `name[match]` (string, optional)
- `name` (string, optional)

## Response

### 200

200

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaSys, required)
- `limit` (double, required)
- `items` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItems, required)
- `pages` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaPages, required)
- `total` (double, optional)

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContext, optional)

## Types

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` ("Error", required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSys, required)
- `name` (string, required)
- `description` (string, required)
- `viewports` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsViewportsItems, required)
- `contentProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems, required)
- `designProperties` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems, required)
- `dimensionKeyMap` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDimensionKeyMap, required)
- `componentTree` (list of delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2, optional)
- `slots` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItems, optional)
- `metadata` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadata, optional)
- `dataAssemblies` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItems, optional)
- `source` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSource, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaPages

- `next` (string, optional)
- `prev` (string, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContext

- `code` (string, required)
- `pluralCount` (double, optional)
- `parameters` (map from string to SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContextParameters, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSys

- `id` (string, required)
- `type` ("ComponentType", required)
- `space` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysSpace, required)
- `environment` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironment, required)
- `version` (double, required)
- `createdAt` (string, required)
- `createdBy` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBy, required)
- `updatedAt` (string, required)
- `updatedBy` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBy, required)
- `fieldStatus` (map from string to map from string to enum, optional)
  - Allowed values: `draft`, `published`, `changed`
- `publishedAt` (string, optional)
- `publishedVersion` (double, optional)
- `publishedCounter` (double, optional)
- `firstPublishedAt` (string, optional)
- `publishedBy` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBy, optional)
- `variant` (string, optional)
- `variantType` (string, optional)
- `variantDimension` (string, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsViewportsItems

- `id` (string, required)
- `query` (string, required)
- `displayName` (string, required)
- `previewSize` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDimensionKeyMap

- `designProperties` (map from string to map from string to string, required)

### delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItems

- `id` (string, required)
- `name` (string, required)
- `required` (boolean, required)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItems, required)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsAllowedResourcesItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadata

- `tags` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItems, optional)
- `concepts` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSource

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSourceSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContextParameters

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysSpace

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysSpaceSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironment

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironmentSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBy

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBySys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBy

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBySys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBy

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems0

- `name` (string, required)
- `required` (boolean, required)
- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems1

- `name` (string, required)
- `required` (boolean, required)
- `type` ("RichText", required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems2

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Array", required)
- `items` (any, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems3

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Record", required)
- `fields` (map from string to get__spaces__spaceId__environments__environmentId__component_types_4_200___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems4

- `name` (string, required)
- `required` (boolean, required)
- `type` ("TypeRef", required)
- `ref` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4Ref, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems5

- `name` (string, required)
- `required` (boolean, required)
- `type` ("Literal", required)
- `value` (any, required)
- `valueType` (get__spaces__spaceId__environments__environmentId__component_types_4_200___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItems6

- `name` (string, required)
- `required` (boolean, required)
- `type` ("DiscriminatedUnion", required)
- `discriminator` (string, required)
- `members` (list of get__spaces__spaceId__environments__environmentId__component_types_4_200___schema1, required)
- `id` (string, required)
- `defaultValue` (any, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems0

- `id` (string, required)
- `name` (string, required)
- `type` ("String", required)
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0FallbackValue, optional)
- `validations` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItems, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems1

- `id` (string, required)
- `name` (string, required)
- `type` ("Boolean", required)
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf1FallbackValue, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItems2

- `id` (string, required)
- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `DTCG.Color`, `DTCG.Dimension`, `DTCG.FontFamily`, `DTCG.FontWeight`, `DTCG.Duration`, `DTCG.CubicBezier`, `DTCG.Number`, `DTCG.StrokeStyle`, `DTCG.Border`, `DTCG.Transition`, `DTCG.Shadow`, `DTCG.Gradient`, `DTCG.Typography`
- `description` (string, optional)
- `fallbackValue` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2FallbackValue, optional)
- `allowedResources` (list of SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2AllowedResourcesItems, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema20

- `id` (string, required)
- `nodeType` ("Component", required)
- `componentType` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentType, required)
- `contentProperties` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ContentProperties, required)
- `designProperties` (map from string to DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0DesignProperties, required)
- `slots` (map from string to list of delete__spaces__spaceId__environments__environmentId__component_types__id__published_10_200___schema2, required)
- `name` (string, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema21

- `id` (string, required)
- `nodeType` ("Fragment", required)
- `fragment` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1Fragment, required)
- `name` (string, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema22

- `id` (string, required)
- `nodeType` ("Slot", required)
- `slotId` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItems

- `size` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItemsSize, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsAllowedResourcesItems

- `type` ("Contentful:ComponentType", required)
- `source` (string, required)
- `allowedTypes` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDataAssembliesItemsSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:DataAssembly", required)
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSourceSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:DesignSystemSource", required)
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContextParameters0

- `type` ("string", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContextParameters1

- `type` ("number", required)
- `value` (double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContextParameters2

- `type` ("date", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContextParameters3

- `type` ("array.string", required)
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaI18NContextParameters4

- `type` ("array.number", required)
- `value` (list of double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysSpaceSys

- `type` ("Link", required)
- `linkType` ("Space", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysEnvironmentSys

- `type` ("Link", required)
- `linkType` ("Environment", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysCreatedBySys

- `type` ("Link", required)
- `linkType` ("User", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysUpdatedBySys

- `type` ("Link", required)
- `linkType` ("User", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySys

- `type` ("Link", required)
- `linkType` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySysLinkType, required)
- `id` (string, required)

### get__spaces__spaceId__environments__environmentId__component_types_4_200___schema1

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4Ref

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4RefSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0FallbackValue

- `type` ("ManualDesignValue", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItems

- `regexp` (SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItemsRegexp, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf1FallbackValue

- `type` ("ManualDesignValue", required)
- `value` (boolean, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2FallbackValue

- `type` ("DesignToken", required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf2AllowedResourcesItems

- `type` ("DesignToken", required)
- `value` (string, required)
- `name` (string, optional)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentType

- `sys` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentTypeSys, required)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ContentProperties

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0DesignProperties

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1Fragment

- `sys` (DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1FragmentSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSlotsItemsValidationsItemsSize

- `min` (double, optional)
- `max` (double, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataTagsItemsSys

- `type` ("Link", required)
- `linkType` ("Tag", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsMetadataConceptsItemsSys

- `type` ("Link", required)
- `linkType` ("TaxonomyConcept", required)
- `id` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsSysPublishedBySysLinkType

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema10

- `type` (enum, required)
  - Allowed values: `String`, `Number`, `Integer`, `Boolean`
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema11

- `type` ("RichText", required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema12

- `type` ("Array", required)
- `items` (any, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema13

- `type` ("Record", required)
- `fields` (map from string to get__spaces__spaceId__environments__environmentId__component_types_4_200___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema14

- `type` ("TypeRef", required)
- `ref` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema1OneOf4Ref, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema15

- `type` ("Literal", required)
- `value` (any, required)
- `valueType` (get__spaces__spaceId__environments__environmentId__component_types_4_200___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema16

- `type` ("DiscriminatedUnion", required)
- `discriminator` (string, required)
- `members` (list of get__spaces__spaceId__environments__environmentId__component_types_4_200___schema1, required)
- `name` (string, optional)
- `required` (boolean, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsContentPropertiesItemsOneOf4RefSys

- `type` ("ResourceLink", required)
- `linkType` (string, required)
- `urn` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesGetResponsesContentApplicationJsonSchemaItemsItemsDesignPropertiesItemsOneOf0ValidationsItemsRegexp

- `pattern` (string, required)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf0ComponentTypeSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:ComponentType", required)
- `urn` (string, required)

### DeleteSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypesIdPublished10200Schema2OneOf1FragmentSys

- `type` ("ResourceLink", required)
- `linkType` ("Contentful:Fragment", required)
- `urn` (string, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema1OneOf4Ref

- `sys` (GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema1OneOf4RefSys, required)

### GetSpacesSpaceIdEnvironmentsEnvironmentIdComponentTypes4200Schema1OneOf4RefSys

- `type` ("ResourceLink", required)
- `linkType` (string, required)
- `urn` (string, required)

## Examples

**Response**

```json
{
  "sys": {
    "type": "string"
  },
  "limit": 1.1,
  "items": [
    {
      "sys": {
        "id": "string",
        "type": "string",
        "space": {
          "sys": {
            "type": "string",
            "linkType": "string",
            "id": "string"
          }
        },
        "environment": {
          "sys": {
            "type": "string",
            "linkType": "string",
            "id": "string"
          }
        },
        "version": 1.1,
        "createdAt": "string",
        "createdBy": {
          "sys": {
            "type": "string",
            "linkType": "string",
            "id": "string"
          }
        },
        "updatedAt": "string",
        "updatedBy": {
          "sys": {
            "type": "string",
            "linkType": "string",
            "id": "string"
          }
        },
        "fieldStatus": {},
        "publishedAt": "string",
        "publishedVersion": 1.1,
        "publishedCounter": 1.1,
        "firstPublishedAt": "string",
        "publishedBy": {
          "sys": {
            "type": "string",
            "linkType": "User",
            "id": "string"
          }
        },
        "variant": "string",
        "variantType": "string",
        "variantDimension": "string"
      },
      "name": "string",
      "description": "string",
      "viewports": [
        {
          "id": "string",
          "query": "string",
          "displayName": "string",
          "previewSize": "string"
        }
      ],
      "contentProperties": [
        {
          "name": "string",
          "required": true,
          "type": "String",
          "id": "string"
        }
      ],
      "designProperties": [
        {
          "id": "string",
          "name": "string",
          "description": "string",
          "type": "string",
          "fallbackValue": {
            "type": "string",
            "value": "string"
          },
          "validations": [
            {
              "regexp": {
                "pattern": "string"
              }
            }
          ]
        }
      ],
      "dimensionKeyMap": {
        "designProperties": {}
      },
      "componentTree": [
        {
          "id": "string",
          "nodeType": "string",
          "componentType": {
            "sys": {
              "type": "string",
              "linkType": "string",
              "urn": "string"
            }
          },
          "contentProperties": {},
          "designProperties": {},
          "slots": {},
          "name": "string"
        }
      ],
      "slots": [
        {
          "id": "string",
          "name": "string",
          "required": true,
          "validations": [
            {
              "size": {
                "min": 1.1,
                "max": 1.1
              }
            }
          ],
          "allowedResources": [
            {
              "type": "string",
              "source": "string",
              "allowedTypes": [
                "string"
              ]
            }
          ]
        }
      ],
      "metadata": {
        "tags": [
          {
            "sys": {
              "type": "string",
              "linkType": "string",
              "id": "string"
            }
          }
        ],
        "concepts": [
          {
            "sys": {
              "type": "string",
              "linkType": "string",
              "id": "string"
            }
          }
        ]
      },
      "dataAssemblies": [
        {
          "sys": {
            "type": "string",
            "linkType": "string",
            "urn": "string"
          }
        }
      ],
      "source": {
        "sys": {
          "type": "string",
          "linkType": "string",
          "urn": "string"
        }
      }
    }
  ],
  "pages": {
    "next": "string",
    "prev": "string"
  },
  "total": 1.1
}
```